Bug 159009 - automount should have longer timeout for NFS directories
Summary: automount should have longer timeout for NFS directories
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 16:48 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 15:47:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2005-05-27 16:48:24 UTC
Description of problem:
When trying to automount a NFS directory on a very busy server, I sometimes get:

May 27 05:21:06 cynosure automount[4026]: attempting to mount entry /data/sw1
May 27 05:21:48 cynosure automount[24502]: >> mount: RPC: Timed out
May 27 05:21:48 cynosure automount[24502]: mount(nfs): nfs: mount failure
alexandria:/export/data1 on /data/sw1
May 27 05:21:48 cynosure automount[24502]: failed to mount /data/sw1
May 27 05:21:48 cynosure automount[24502]: umount_multi: no mounts found under
/data/sw1

I would at least like the option of having this wait longer (forever?).  Perhaps
this can be changed with an RPC parameter (for longer/no timeout), or just more
retries.

Version-Release number of selected component (if applicable):
autofs-4.1.4

How reproducible:
fairly

Steps to Reproduce:
1. try to automount directory from very busy nfs server

  
Actual results:
mount fails.  Accessing program gets a no such file error.

Expected results:
mount keeps trying until it succeeds.  Program eventually gets to access the
file and everyone is happy.

Comment 1 Jeff Moyer 2005-05-27 18:32:00 UTC
I'll look into this.  My current thinking on the matter is that there will be a
global configuration setting in /etc/sysconfig/autofs that will determine the
behaviour for all requests.

If you need finer grained control of this, please let me know as it will affect
the design.

Comment 2 Orion Poplawski 2005-05-27 19:33:06 UTC
At this point I think it could be global without trouble.  Might be nice for per
automounted directory if that wouldn't be hard, but I suspect that if you want
mount to always succeed, you want mounts to always succeed everywhere.

Comment 3 Jeff Moyer 2006-04-17 19:42:02 UTC
Upon reconsidering this, why don't you simply specify a retry count on your
mount command line?  man 2 mount:

Mount options for nfs
 retry=n

Comment 4 Orion Poplawski 2006-04-26 15:33:30 UTC
man 5 nfs:

       retry=n        The number of minutes to retry an NFS mount  operation  in
                      the  foreground  or  background  before  giving  up.   The
                      default value is 10000 minutes, which is roughly one week.

The default is 1000, so this doesn't appear to apply here.

Comment 5 Jeff Moyer 2006-04-26 15:47:26 UTC
This really should be an NFS setting.  If you want the default timeout to be
higher, file the bug against nfs-utils.  Perhaps the advertised default isn't
implemented correctly?

As it stands, autofs uses the defaults.  You can override these defaults in your
maps if you so choose.  However, I stand firm in my conviction that this is not
an automount problem.


Note You need to log in before you can comment on or make changes to this bug.